﻿using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WebForms;

namespace _9462
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                // Set the Map Unit. The reason for setting it to DecimalDegrees is that is what the shapefile’s unit of measure is inherently in.
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldStreetsAndImageryOverlay worldOverlay = new WorldStreetsAndImageryOverlay();
                worldOverlay.WrapDateline = WrapDatelineMode.WrapDateline;
                Map1.CustomOverlays.Add(worldOverlay);

                LayerOverlay layerOverlay = new LayerOverlay();
                Map1.CustomOverlays.Add(layerOverlay);


                layerOverlay.WrapDateline = WrapDatelineMode.WrapDateline;

                InMemoryFeatureLayer lineLayer = new InMemoryFeatureLayer();
                lineLayer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.CreateSimpleLineStyle(GeoColor.StandardColors.Red, 5, true);
                lineLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                layerOverlay.Layers.Add(lineLayer);

                LineShape lineFromKoreaToUSA = new LineShape();
                lineFromKoreaToUSA.Vertices.Add(new Vertex(127.233000, 38.317000));
                lineFromKoreaToUSA.Vertices.Add(new Vertex(-100.377293, 39.257254));

                Feature f = new Feature(lineFromKoreaToUSA);
                lineLayer.InternalFeatures.Add(f);

                lineLayer.Open();
                Map1.CurrentExtent = lineLayer.GetBoundingBox();
            }
        }
    }
}